API referenceLLM classifier
Classify inputs using the LLM classifier
POST
Classify a given text array input using the LLM classifier
Transcend_API_Keyheader
AuthorizationBearer <token>authorization: Bearer <>
content-type*stringSpecify content-type: application/json for a JSON response from the Transcend API.
Match
application-jsonapplication/json- body
inputList*array<string>List of inputs to classify
Items
1 <= itemslabels*array<string>The list of labels to classify against
Items
1 <= itemsInput was classified successfully. Responds with the classification result from the LLM classifier for each input.
application/json- response
guesses*array<array<>>The list of classifications for each input
curl -X POST 'https://multi-tenant.sombra.transcend.io/llm/classify-text' \ -H 'authorization: string' \ -H 'content-type: string' \ -H 'Content-Type: application/json' \ -d '{ "inputList": [ "+141562712314", "user@gmail.com", "transcend user ID" ], "labels": [ "Personal Identifier", "Medical", "Generic Personal Information" ]}'Example Response
{ "guesses": [ [ { "type": "Personal Identifier", "classifierVersion": 20000, "confidenceLabel": "HIGH", "classificationMethod": "TRANSCEND_LLM_CLASSIFY" }, { "type": "Generic Personal Information", "classifierVersion": 20000, "confidenceLabel": "MEDIUM", "classificationMethod": "TRANSCEND_LLM_CLASSIFY" }, { "type": "Personal Identifier - User ID", "classifierVersion": 20000, "confidenceLabel": "LOW", "classificationMethod": "TRANSCEND_LLM_CLASSIFY" } ], [ { "type": "Medical", "classifierVersion": 20000, "confidenceLabel": "HIGH", "classificationMethod": "TRANSCEND_LLM_CLASSIFY" }, { "type": "Personal Identifier - User ID", "classifierVersion": 20000, "confidenceLabel": "HIGH", "classificationMethod": "TRANSCEND_LLM_CLASSIFY" }, { "type": "Not Personal Data", "classifierVersion": 20000, "confidenceLabel": "MEDIUM", "classificationMethod": "TRANSCEND_LLM_CLASSIFY" } ] ]}